\documentclass{NSF}

\usepackage{graphicx,multirow,booktabs,caption, array, listings}
\usepackage{url}
\usepackage{listings}
\usepackage{textcomp}
\usepackage{gensymb}
\usepackage{float}
\usepackage{caption} 
\usepackage{comment}
\usepackage{subcaption}
\usepackage{array}
\usepackage{listings}
\usepackage{algorithm}
\usepackage[noend]{algpseudocode}
\usepackage{multicol}
\usepackage{amsmath}
\usepackage{color, colortbl}
\usepackage{pgfgantt}
\usepackage{xcolor}
\usepackage{tikz}
\usepackage{adjustbox}
\usepackage{makecell}

\usetikzlibrary{arrows,shapes,positioning,shadows,trees, snakes}

\tikzset{
	basic/.style  = {draw, text width=3cm, drop shadow, font=\sffamily, rectangle},
	root/.style   = {basic, rounded corners=2pt, thin, align=center,
		fill=green!30},
	level 2/.style = {basic, rounded corners=6pt, thin,align=center, fill=green!60,
		text width=8em},
	level 3/.style = {basic, thin, align=left, fill=pink!60, text width=6.5em}
}

%%Needed for routing chip categarization
\tikzstyle{every node}=[draw=black,thick,anchor=west]
\tikzstyle{selected}=[draw=red,fill=red!30]
\tikzstyle{optional}=[dashed,fill=gray!50]

\ganttset{group/.append style={orange},
	milestone/.append style={red},
	progress label node anchor/.append style={text=red}}

\graphicspath{{figures/}}

\begin{document}

% A. Cover Sheet
% A number of the boxes contained on the Cover Sheet are
% electronically pre-filled as part of the FastLane login process
% Complete the rest of your info there

% B. Project Summary
\title{Power/Area Efficient Pipelining in High Level Synthesis System for Router Dataplane }
\newsection{B}
\input{sections/summary}

% C. Table of Contents 
% A Table of Contents is automatically generated for the proposal by FastLane

% D. Project Description
\newpage\newsection{D}
\input{sections/description}

% E. References Cited
\newpage\newsection{E}
\renewcommand\refname{References Cited}
\bibliography{references}
% I prefer to use the IEEE bibliography style. 
% That's  NOT required by the NSF guidelines. 
% Feel Free to use whatever style you prefer
\bibliographystyle{IEEEtran}

% F. Biographical Sketch(es)
\newpage\newsection{F}
\input{sections/bio}

% G. Budget Justification
%\newpage\newsection{G}
%\input{sections/budget}

%  H. Current and Pending Support
%\newpage\newsection{H}
%\input{sections/support}

% I. Facilities, Equipment and Other Resources
%\newpage\newsection{I}
%\input{sections/resources}

% J. Special Information and Supplementary Documentation
%\newpage\newsection{J}
%\input{sections/data}		% Data Management Plan (Required)
%\input{sections/postdoc} % Postdoctoral Researcher Mentoring Plan (if applicable)

\end{document}
